--- title: "Get Program Details" slug: "get-program-information-details-for-publisher" updated: 2025-07-16T10:06:02Z published: 2025-07-16T10:27:58Z canonical: "help.awin.com/get-program-information-details-for-publisher" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.awin.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Program Details Get/publishers/{publisherId}/programmedetails **GET programmedetails** Publishers get a set of KPIs of the programmes they are working with, along with the programme description and range of commission (across commission groups) they get in the programmes. **Who can use it** Publishers Header parametersAuthorizationstring accessToken Path parameterspublisherIdinteger (int64) Required publisherId Query parametersaccessTokenstringRequired access token advertiserIdinteger (int64) Required advertiserId relationshipstring relationship Valid values[ "joined", "pending", "suspended", "rejected", "notjoined", "any" ]Default"joined" Responses200 OK Expand Allobject commissionRange Array of object (CommissionGroupRange) object maxnumber (double) minnumber (double) typestring kpiobject (Kpi) approvalPercentagenumber (double) averagePaymentTimestring awinIndexnumber (double) conversionRatenumber (double) epcnumber (double) validationDaysinteger (int32) programmeInfoobject (ProgrammeDetailsInfo) clickThroughUrlstring currencyCodestring deeplinkEnabledboolean descriptionstring displayUrlstring idinteger (int64) logoUrlstring membershipStatusstring namestring primaryRegionobject (PrimaryRegion) countryCodestring namestring primarySectorstring validDomains Array of object (Domain) object domainstring **Which data fields do we provide** **programmeInfo object:** | field name | description | | --- | --- | | id | ID of the programme | | name | name of the programme | | displayUrl | URL of the advertiser | | clickThroughUrl | advertiser programme click-through URL | | deeplinkEnabled | boolean value indicating if the advertiser has deeplink enabled | | description | programme description | | membershipStatus | membership status between publisher and advertiser programme. Can be Joined, Pending, Suspended, Rejected and Notjoined | | logoUrl | URL to the logo of the programme | | primaryRegion | object that contains the name and the countryCode of the primary programme region | | validDomains | an object that contains domains from which the advertiser accepts transaction | | currencyCode | ISO code of the currency of the programme | | linkStatus | current status of links, which can be either "online" or "offline" - this applies only to programs that are funded through prepayment funds | | trackingTransparency | array listing the tracking methods that are currently available for this program | **kpi object:** | field name | description | | --- | --- | | averagePaymentTime | publisher | | approvalPercentage | the approval percentage relates to the proportion of pending transactions which are then validated as approved | | epc | earnings per click | | conversionRate | the conversion rate is the total number of sales divided by the total number of clicks | | validationDays | the validation period represents the average amount of time an advertiser takes to validate pending transactions as either Approved or Declined | | awinIndex | a score out of hundred, calculated from an algorithm of EPC, approval percentage, conversion rate and validation period | **commissionRange object:** | field name | description | | --- | --- | | min | minimal commission across commission groups, either in percent or amount | | max | maximum commission across commission groups, either in percent or amount | | type | percentage or amount; for amount the value is in the currency of the programme (see programmeInfo object) |